#!/bin/bash

#0123456789012345678901234567890
#../histoRun3Zee_unweighted.root

rm *.txt

FILES="../histoRun2*.root"

for file in $FILES
do
  Epoch=${file:8:4}
  Signal=${file:12:3}
  Rwt=${file:15:11}
  IMGFOLDER="png$Epoch$Signal$Rwt"

  if [[ -d $IMGFOLDER ]]
  then
    echo "We have $IMGFOLDER folder."
  else
    echo "We do not have $IMGFOLDER folder. Now, I'm generating it."
    mkdir $IMGFOLDER
  fi
  root -q -b -n -x -l PlotFits.C\(\"$file\"\)
  root -q -b -n -x -l PlotResiduals.C\(\"$file\"\)
  echo ""
  sleep 2
done
