#!/bin/bash

#0123456789012345678901234567890
#../histoRun3Zee_unweighted.root

signal="Zmm"
uw="_unweighted"
rw="_reweighted"
DATE=$(date +'%d %b %Y')

echo "<html><title>TRT Unbiased Position Residuals for T&P $signal Decays</title><body>"

echo "<h1><font face=arialcolor=brown>TRT Unbiased Position Residuals for T&P $signal Decays ($DATE)</font></h1>"
echo "<p>"
echo "<img src=geoRun2.png width=700 border=1> &nbsp; &nbsp; <img src=geoRun3.png width=700 border=1>"
echo "<hr>"
echo "<p>"

echo "<table border=1>"
  echo "<tr>"
  echo "<td align=center><font color=red size=4>Run2 $signal Unweighted</td>"
  echo "<td align=center><font color=red size=4>Run3 $signal Unweighted</td>"
  echo "<td bgcolor=blue>&nbsp;</td>"
  echo "<td align=center><font color=red size=4>Run2 $signal Reweighted</td>"
  echo "<td align=center><font color=red size=4>Run3 $signal Reweighted</td>"
  echo "</tr>"

for i in {10..21}
do
  echo "<tr>"
  echo "<td><img src=pngRun2$signal$uw/ressigma$i.png width=400></td>"
  echo "<td><img src=pngRun3$signal$uw/ressigma$i.png width=400></td>"
  echo "<td bgcolor=blue>&nbsp;</td>"
  echo "<td><img src=pngRun2$signal$rw/ressigma$i.png width=400></td>"
  echo "<td><img src=pngRun3$signal$rw/ressigma$i.png width=400></td>"
  echo "</tr>"
done

echo "</table></body></html>"
